Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.filesystem
Class EntryNode

    java.lang.Object
      org.apache.poi.poifs.filesystem.EntryNode

All Implemented Interfaces:
  Entry

Direct Known Subclasses:
  DirectoryNode, DocumentNode

    public abstract class EntryNode

extends java.lang.Object
implements Entry

Abstract implementation of Entry Extending classes should override isDocument() or isDirectory(), as appropriate Extending classes must override isDeleteOK()

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`boolean` | `delete()` Delete this Entry.
`java.lang.String` | `getName()` get the name of the Entry
`DirectoryEntry` | `getParent()` get this Entry's parent (the DocumentEntry that owns this Entry).
`boolean` | `isDirectoryEntry()` is this a DirectoryEntry?
`boolean` | `isDocumentEntry()` is this a DocumentEntry?
`boolean` | `renameTo(java.lang.String newName)` Rename this Entry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  get the name of the Entry

  Specified by:
    `getName` in interface `Entry`
  Returns:
    name

### isDirectoryEntry

    public boolean isDirectoryEntry()

  is this a DirectoryEntry?

  Specified by:
    `isDirectoryEntry` in interface `Entry`
  Returns:
    true if the Entry is a DirectoryEntry, else false

### isDocumentEntry

    public boolean isDocumentEntry()

  is this a DocumentEntry?

  Specified by:
    `isDocumentEntry` in interface `Entry`
  Returns:
    true if the Entry is a DocumentEntry, else false

### getParent

    public DirectoryEntry getParent()

  get this Entry's parent (the DocumentEntry that owns this Entry). All Entry objects, except the root Entry, has a parent.

  Specified by:
    `getParent` in interface `Entry`
  Returns:
    this Entry's parent; null iff this is the root Entry

### delete

    public boolean delete()

  Delete this Entry. This operation should succeed, but there are special circumstances when it will not: If this Entry is the root of the Entry tree, it cannot be deleted, as there is no way to create another one. If this Entry is a directory, it cannot be deleted unless it is empty.

  Specified by:
    `delete` in interface `Entry`
  Returns:
    true if the Entry was successfully deleted, else false

### renameTo

    public boolean renameTo(java.lang.String newName)

  Rename this Entry. This operation will fail if: There is a sibling Entry (i.e., an Entry whose parent is the same as this Entry's parent) with the same name. This Entry is the root of the Entry tree. Its name is dictated by the Filesystem and many not be changed.

  Specified by:
    `renameTo` in interface `Entry`
  Parameters:
    `newName` - the new name for this Entry
  Returns:
    true if the operation succeeded, else false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD